%define ver	2.0.6
%define rel	1.PU_IAS.1
Summary: Argus Network Auditing Software
Name: argus
Version: %ver
Release: %rel
Copyright: QoSient LLC 2000-2004
Group: Applications/Internet
Source0: ftp://ftp.qosient.com/pub/argus/argus-%{ver}.tar.gz
Patch1: argus-2.0.6-fixes.patch
URL: http://qosient.com/argus
BuildRoot: %{_tmppath}/%{name}-root

%description
Argus (Audit Record Generation and Utilization System) is an IP network
transaction auditing tool.  The data generated by argus can be used
for a wide range of tasks such as network operations, security
and performance management.

%define arguslog	/var/log/argus
%define argusdata	%{arguslog}


%prep
%setup -n %{name}-%{ver}
%patch1 -p1 -b .fixes

%build
%configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{argusdata}/archive,%{_sbindir},%{arguslog}}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 0755 -o root -g root bin/argusbug $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 -o root -g root bin/argus_* $RPM_BUILD_ROOT/%{_sbindir}/argus

install -m 0644 -o root -g root man/man5/* $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 0644 -o root -g root man/man8/* $RPM_BUILD_ROOT/%{_mandir}/man8/

install -C -m 0600 -o root -g root support/Config/argus.conf $RPM_BUILD_ROOT/etc/argus.conf
install -m 0755 -o root -g root support/Startup/argus $RPM_BUILD_ROOT/etc/rc.d/init.d/argus
install -m 0755 -o root -g root support/Archive/argusarchive $RPM_BUILD_ROOT/%{_bindir}/argusarchive

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add argus

%preun
if [ "$1" = 0 ] ; then
  service argus stop >/dev/null 2>&1
  /sbin/chkconfig --del argus
fi

%postun
if [ "$1" -ge "1" ]; then
  service argus condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc support doc/* README COPYING
%{_sbindir}/argus
%{_bindir}/argusarchive
%{_bindir}/argusbug
%dir %{argusdata}
%dir %{argusdata}/archive
%{_mandir}/man5/argus.5*
%{_mandir}/man5/argus.conf.5*
%{_mandir}/man8/argus.8*
/etc/rc.d/init.d/argus
%config /etc/argus.conf
